regexp.h File Reference

[[ Add one-line brief description here ]] More...

`#include "cvc4_public.h"`
`#include <vector>`
`#include <string>`
`#include <set>`
`#include <sstream>`
`#include "util/exception.h"`
`#include "util/hash.h"`
Include dependency graph for regexp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::String
struct | CVC4::strings::StringHashFunction
class | CVC4::RegExp
struct | CVC4::RegExpHashFunction
| Hash function for the RegExp constants. More...

## Namespaces

namespace | CVC4
namespace | CVC4::strings

## Functions

std::ostream & | CVC4::operator<< (std::ostream &os, const String &s)
std::ostream & | CVC4::operator<< (std::ostream &os, const RegExp &s)

## Detailed Description

[[ Add one-line brief description here ]]

    ** Original author: Tianyi Liang
    ** Major contributors: none
    ** Minor contributors (to current version): Morgan Deters
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

[[ Add lengthier description here ]]

Todo
  document this file

Definition in file regexp.h.